com.orientechnologies.orient.jdbc

## Class OrientJdbcResultSetMetaData

- java.lang.Object
- - com.orientechnologies.orient.jdbc.OrientJdbcResultSetMetaData

All Implemented Interfaces:
  java.sql.ResultSetMetaData, java.sql.Wrapper

    public class OrientJdbcResultSetMetaData
    extends java.lang.Object
    implements java.sql.ResultSetMetaData

Author:
  Roberto Franchini (CELI Srl - franchini@celi.it), Salvatore Piccione (TXT e-solutions SpA - salvo.picci@gmail.com)

### Field Summary

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Constructor Summary

Constructors
Constructor and Description
`OrientJdbcResultSetMetaData(OrientJdbcResultSet orientJdbcResultSet, java.util.List<java.lang.String> fieldNames)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getCatalogName(int column)`
`java.lang.String` `getColumnClassName(int column)`
`int` `getColumnCount()`
`int` `getColumnDisplaySize(int column)`
`java.lang.String` `getColumnLabel(int column)`
`java.lang.String` `getColumnName(int column)`
`int` `getColumnType(int column)`
`java.lang.String` `getColumnTypeName(int column)`
`protected com.orientechnologies.orient.core.sql.executor.OResult` `getCurrentRecord()`
`int` `getPrecision(int column)`
`protected com.orientechnologies.orient.core.metadata.schema.OProperty` `getProperty(int column)`
`int` `getScale(int column)`
`java.lang.String` `getSchemaName(int column)`
`static java.lang.Integer` `getSqlType(com.orientechnologies.orient.core.metadata.schema.OType iType)`
`java.lang.String` `getTableName(int column)`
`boolean` `isAutoIncrement(int column)`
`boolean` `isCaseSensitive(int column)`
`boolean` `isCurrency(int column)`
`boolean` `isDefinitelyWritable(int column)`
`int` `isNullable(int column)`
`boolean` `isReadOnly(int column)`
`boolean` `isSearchable(int column)`
`boolean` `isSigned(int column)`
`boolean` `isWrapperFor(java.lang.Class<?> iface)`
`boolean` `isWritable(int column)`
`<T> T` `unwrap(java.lang.Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OrientJdbcResultSetMetaData

    public OrientJdbcResultSetMetaData(OrientJdbcResultSet orientJdbcResultSet,
                                       java.util.List<java.lang.String> fieldNames)

### Method Detail

#### getSqlType

    public static java.lang.Integer getSqlType(com.orientechnologies.orient.core.metadata.schema.OType iType)

#### getColumnCount

    public int getColumnCount()
                       throws java.sql.SQLException

Specified by:
  `getColumnCount` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getCatalogName

    public java.lang.String getCatalogName(int column)
                                    throws java.sql.SQLException

Specified by:
  `getCatalogName` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getColumnClassName

    public java.lang.String getColumnClassName(int column)
                                        throws java.sql.SQLException

Specified by:
  `getColumnClassName` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getColumnDisplaySize

    public int getColumnDisplaySize(int column)
                             throws java.sql.SQLException

Specified by:
  `getColumnDisplaySize` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getColumnLabel

    public java.lang.String getColumnLabel(int column)
                                    throws java.sql.SQLException

Specified by:
  `getColumnLabel` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getColumnName

    public java.lang.String getColumnName(int column)
                                   throws java.sql.SQLException

Specified by:
  `getColumnName` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getColumnType

    public int getColumnType(int column)
                      throws java.sql.SQLException

Specified by:
  `getColumnType` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getCurrentRecord

    protected com.orientechnologies.orient.core.sql.executor.OResult getCurrentRecord()
                                                                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getColumnTypeName

    public java.lang.String getColumnTypeName(int column)
                                       throws java.sql.SQLException

Specified by:
  `getColumnTypeName` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getPrecision

    public int getPrecision(int column)
                     throws java.sql.SQLException

Specified by:
  `getPrecision` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getScale

    public int getScale(int column)
                 throws java.sql.SQLException

Specified by:
  `getScale` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getSchemaName

    public java.lang.String getSchemaName(int column)
                                   throws java.sql.SQLException

Specified by:
  `getSchemaName` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### getTableName

    public java.lang.String getTableName(int column)
                                  throws java.sql.SQLException

Specified by:
  `getTableName` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### isAutoIncrement

    public boolean isAutoIncrement(int column)
                            throws java.sql.SQLException

Specified by:
  `isAutoIncrement` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### isCaseSensitive

    public boolean isCaseSensitive(int column)
                            throws java.sql.SQLException

Specified by:
  `isCaseSensitive` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### isCurrency

    public boolean isCurrency(int column)
                       throws java.sql.SQLException

Specified by:
  `isCurrency` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### isDefinitelyWritable

    public boolean isDefinitelyWritable(int column)
                                 throws java.sql.SQLException

Specified by:
  `isDefinitelyWritable` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### isNullable

    public int isNullable(int column)
                   throws java.sql.SQLException

Specified by:
  `isNullable` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### isReadOnly

    public boolean isReadOnly(int column)
                       throws java.sql.SQLException

Specified by:
  `isReadOnly` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### isSearchable

    public boolean isSearchable(int column)
                         throws java.sql.SQLException

Specified by:
  `isSearchable` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### isSigned

    public boolean isSigned(int column)
                     throws java.sql.SQLException

Specified by:
  `isSigned` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### isWritable

    public boolean isWritable(int column)
                       throws java.sql.SQLException

Specified by:
  `isWritable` in interface `java.sql.ResultSetMetaData`
Throws:
  `java.sql.SQLException`

#### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### getProperty

    protected com.orientechnologies.orient.core.metadata.schema.OProperty getProperty(int column)
                                                                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`